#ifndef __DP_ACCOUNTING
#define __DP_ACCOUNTING 1

#include <uthash.h>

#include "dp_helpers.h"

typedef struct dp_accounting {
	unsigned char remoteid[256];
	int len;
	int count;
	UT_hash_handle hh;
} dp_accounting;


void       dp_accounting_add   (dp_conf*, unsigned char *, int);
int        dp_accounting_check (dp_conf*, unsigned char *, int);
void       dp_accounting_cleanup     (dp_conf*);

#endif // __DP_MACRO
