#ifndef __DP_BLACKLIST
#define __DP_BLACKLIST 1

#include <uthash.h>

#include "dp_helpers.h"

typedef struct dp_blacklist {
	unsigned char remoteid[256];
	int len;
	time_t expire;
	UT_hash_handle hh;
} dp_blacklist;

void       dp_blacklist_add    (dp_conf*, unsigned char *, int);
int        dp_blacklist_check  (dp_conf*, unsigned char *, int);
void       dp_blacklist_cleanup     (dp_conf*);

#endif // __DP_MACRO
