#include <stdlib.h>

#include "dp_main.h"
#include "dp_helpers.h"
#include "dp_nfqueue.h"

// main function
int main(int argc, char **argv) {
	char *configfile;
	dp_conf conf;

	if ( argc == 2 ) {
		configfile = argv[1];
	}
	else {
		dp_usage(argv[0]);
		return EXIT_FAILURE;
	}

	if ( dp_load_config(&conf, configfile) == NULL )
		return EXIT_FAILURE;

	dp_nfq_start(&conf);

	return 0;
}
